Skip to main content
PUT
Update workflow

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Path Parameters

workflow_id
integer
required

Body

application/json
workflow_name
string
workflow_ref_name
string
script
string

Full execute() workflow script. Re-uploads to S3 when provided.

description
string
timeout_seconds
integer
execution_mode
enum<string>

Workflow execution mode.

Available options:
sync,
async,
stream
application_id
integer
application_name
string

Bind to application by name; creates if missing.

transform_enabled
boolean
transform_session
string

transform_session(session) Python script. Pass an empty string to clear.

input_schema
object

Workflow input JSON Schema. Pass a JSON object.

output_schema
object

Workflow output JSON Schema. Pass a JSON object.

meta
object
allow_inproc_nesting
boolean

Allow in-pod nested workflow invocations.

inproc_nested_refs
string[]

Child workflow refs allowed for in-pod routing.

Response

200 - application/json

Update workflow.

data
any